import java.util.*;
public class sort3
{
public static void sort3(double A[])
{
int n=A.length;
TreeSet<Double> B=new TreeSet<Double>();
Double C;
for(int i=0;i<n;i++)
{C=new Double(A[i]);
 B.add(C);
};
Iterator iterator;
iterator = B.iterator();
int i=0;
while (iterator.hasNext())
{ C=(Double)iterator.next();
  A[i]=C.doubleValue();
  i++;
}
}

public static void main(String arg[])
{double a[]={88,31,52,25,98,14.1,30,62,23,79 };
sort3(a);
System.out.println(Matrix.toStringT(a));
}
}